快速解决"您的系统不支持加解密 mcrypt 模块"问题

今天遇到一个网友,在使用微擎的时候有被提示"您的系统不支持加解密 mcrypt 模块,无法进行平台接入"的问题。其实老蒋对于微擎也就仅仅停留在简单的服务器运维处理,对于微擎的深入使用并不是熟悉,每天有很多网友加我解决问题,但是迫于时间有限也没有深入学习,也就不能特别的帮助到网友。

第一、分析问题

通过查看相关问题,当前这个网友服务器采用的是PHP7.2版本,不过因为已经废弃mcrypt模块,所以肯定会提示没有这个模块。一般不需要额外安装,一般的WEB环境都是自带安装的。

那目前我们最为简单的办法就是即将PHP切换到低版本,比如我准备切换到PHP5.6版本。

第二、解决问题

快速解决"您的系统不支持加解密 mcrypt 模块"问题

这里这个网友是用的面板,所以直接安装一个PHP5.6之后然后切换版本就可以了。我们如果有其他配置环境的按照各自的办法解决。切换完毕低版本PHP之后,然后就可以重启服务器后生效看看,再试试应该是没有问题了,这个网友就是这么解决的。

通过探针看到是有Mcrypt模块的。

本文出处:老蒋部落 » 快速解决"您的系统不支持加解密 mcrypt 模块"问题 | 欢迎分享( 公众号:QQ69377078 )